classification
Title: Move PEP 362 (function signature objects) into inspect
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.3
process
Status: closed Resolution: duplicate
Dependencies: Superseder: PEP 362 "Signature Objects" reference implementation
View: 15008
Assigned To: brett.cannon Nosy List: Yury.Selivanov, benjamin.peterson, brett.cannon, daniel.urban, eric.snow, larry, merwok, michael.foord, ron_adam
Priority: low Keywords:

Created on 2010-06-06 03:39 by brett.cannon, last changed 2012-06-26 02:29 by merwok. This issue is now closed.

Messages (5)
msg107182 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2010-06-06 03:39
To get function signature objects (PEP 362) moving forward I should get it into the inspect module. That way people can start using it more beyond those in PyPI (http://pypi.python.org/pypi/pep362).

Michael Foord has mentioned how IronPython could use function signature objects. This would be a first step in getting the objects standardized enough so that IronPython could eventually consider putting them on all of their objects.
msg107242 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2010-06-06 22:09
I presume you'll either integrate this with the methods and objects inspect already has for this or deprecate them in favor of this?
msg107249 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2010-06-06 22:49
On Sun, Jun 6, 2010 at 15:09, Benjamin Peterson <report@bugs.python.org> wrote:
>
> Benjamin Peterson <benjamin@python.org> added the comment:
>
> I presume you'll either integrate this with the methods and objects inspect already has for this or deprecate them in favor of this?

Yes, that's the thinking as it replaces getargspec and friends with a
much better API.
msg163858 - (view) Author: Éric Araujo (merwok) * (Python committer) Date: 2012-06-24 20:52
This may be closed as superseded by #15008, or become a new bug to deprecate getargspec with signature, or a bug for a doc-only deprecation.

(Can’t add Yuri to nosy?!)
msg164022 - (view) Author: Yury Selivanov (Yury.Selivanov) * Date: 2012-06-25 23:05
Éric, yes, please close it.
History
Date User Action Args
2012-06-26 02:29:46merwoksetstatus: open -> closed
superseder: PEP 362 "Signature Objects" reference implementation
resolution: duplicate
stage: needs patch -> resolved
2012-06-25 23:05:42Yury.Selivanovsetnosy: + Yury.Selivanov
messages: + msg164022
2012-06-24 20:52:41merwoksetnosy: + larry
messages: + msg163858
2011-07-14 01:55:21eric.snowsetnosy: + eric.snow
2011-07-13 15:20:28merwoklinkissue9285 dependencies
2011-03-16 15:42:44brett.cannonsetassignee: brett.cannon
stage: needs patch
nosy: brett.cannon, ron_adam, benjamin.peterson, merwok, michael.foord, daniel.urban
versions: + Python 3.3, - Python 3.2
2010-12-19 16:00:00ron_adamsetnosy: + ron_adam
2010-06-06 22:49:13brett.cannonsetmessages: + msg107249
2010-06-06 22:09:40benjamin.petersonsetnosy: + benjamin.peterson
messages: + msg107242
2010-06-06 21:56:00merwoksetnosy: + merwok
2010-06-06 08:00:14daniel.urbansetnosy: + daniel.urban
2010-06-06 03:39:18brett.cannoncreate